PLIB “ulSetError()” puffer túlcsordulás sérülékenység

CH azonosító

CH-6139

Angol cím

PLIB "ulSetError()" Buffer Overflow Vulnerability

Felfedezés dátuma

2011.12.20.

Súlyosság

Közepes

Érintett rendszerek

N/A
PLIB

Érintett verziók

PLIB 1.x

Összefoglaló

A PLIB sérülékenysége vált ismertté, amelyet kihasználva a támadók feltörhetik a könyvtárat használó alkalmazást.

Leírás

A sérülékenységet az “ulSetError()” függvényben (src/util/ulError.cxx) hibaüzenet generálásakor jelentkező határhiba okozza, amelyet kihasználva puffer túlcsordulást lehet okozni.

A sérülékenység sikeres kihasználása tetszőleges kód futtatását teszi lehetővé, de feltételezi, hogy a támadó kontrollálni tudja egy túl hosszú, az “ulSetError()” függvénynek átadott, hibaüzenet tartalmát.

A sérülékenységet az 1.8.5. verzióban jelentették. Más kiadások is érintettek lehetnek.

Megoldás

Ne használjon a könyvtárat felhasználó alkalmazást!